### Class

# EDataBook DataBookViewWatcherSqlite

since: 3.50

#### Description [src]

    class EDataBook.DataBookViewWatcherSqlite : EBookContacts.BookIndicesUpdater
    {
      /* No available fields */
    }

A structure used to handle “manual query” views for `EBookBackend` descendants which use `EBookSqlite` to store the contacts.

Available since: 3.50

#### Hierarchy

#### Ancestors

- EBookIndicesUpdater
- GObject

#### Constructors

###### e_data_book_view_watcher_sqlite_new

Creates a new `EDataBookViewWatcherSqlite`, which will watch the `view` and will provide the information about indices and total contacts to the `backend`, taking the data from the `ebsql`.

since: 3.50

#### Instance methods

###### e_data_book_view_watcher_sqlite_dup_contacts

Retrieves contacts in the given range. Returns `NULL` when the `range_start` is out of bounds. The function can return less than `range_length` contacts.

since: 3.50

###### e_data_book_view_watcher_sqlite_take_sort_fields

Sets `sort_fields` as fields to sort the contacts by. If `NULL`, sorts by file-as field. The function assumes ownership of the `sort_fields`.

since: 3.50

##### Methods inherited from EBookIndicesUpdater (4)

###### e_book_indices_updater_add

Notifies the `self` that a new contact with UID `uid` had been added to the set and it occupies the `indices_index` index in the indices. In case the `uid` had been added previously its index is modified instead.

###### e_book_indices_updater_get_indices

Sets the initial indices to be updated by the `self`. If `NULL`, then unsets them.

###### e_book_indices_updater_remove

Notifies the `self` that an existing contact with UID `uid` had been removed from the set. Calling the function with `uid` unknown to the `self` does nothing and returns `FALSE`.

###### e_book_indices_updater_take_indices

Sets the initial indices to be updated by the `self`. If `NULL`, then unsets them. The function always discards data previously gathered about the involved contacts, regardless whether the indices changed or not.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataBookDataBookViewWatcherSqliteClass {
      /* no available fields */
    }

No description available.